%global ky3_2 0

Name:		kiran-log
Version:	2.4.0
Release:	3
Summary:	kiran log out library
Summary(zh_CN): kiran桌面日志输出库

License: 	MulanPSL-2.0
#URL:
Source0:	%{name}-%{version}.tar.gz

Patch1000:  0001-fix-pc-Fix-the-Libs-field-error-in-pc-file.patch
Patch1001:	0002-fix-default-log-level-Change-the-default-kylinsec-se.patch	

BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  zlog


%description
Kiran log out library

%package qt5
Summary: kiran log out library for qt5
Summary(zh_CN): kiran桌面Qt5日志输出库
BuildRequires:  qt5-qtbase-devel
Requires:  qt5-qtbase
Requires:  zlog
Requires:  %{name}
%description qt5
%{summary}.

%package qt5-devel
Summary: kiran log out library for qt5 develop headers
Summary(zh_CN): kiran桌面Qt5日志输出库开发头文件  
Requires:	%{name}-qt5%{?_isa} = %{version}-%{release}
%description qt5-devel
%{summary}.

%package gtk3
Summary: kiran log out library for gtk3
Summary(zh_CN): kiran桌面gtk3日志输出库
BuildRequires: pkgconfig(glibmm-2.4)
Requires:  glibmm24
Requires:  zlog
Requires:  %{name}
%description gtk3
%{summary}.

%package gtk3-devel
Summary: kiran log out library for gtk3 develop headers
Summary(zh_CN): kiran桌面gtk3日志输出库开发头文件  
Requires:	%{name}-gtk3%{?_isa} = %{version}-%{release}
%description gtk3-devel
%{summary}.

%prep
%autosetup -p1

%build
%{__mkdir} -p %{buildroot}
%if "%{kylin}" != ""
  %if 0%{ky3_2} == 1
    %cmake -DCMAKE_INSTALL_LIBDIR=lib64
  %else
    %cmake
  %endif
%else
  %cmake -DENABLE_ZLOG_EX:BOOL=OFF
%endif

make %{?_smp_mflags}

%install
%make_install

%files
%{_sysconfdir}/kiran-log/zlog.conf

%files qt5
%{_libdir}/libklog-qt5.so.2*

%files gtk3
%{_libdir}/libklog-gtk3.so.2*

%files qt5-devel
%{_libdir}/libklog-qt5.so
%{_includedir}/kiran-log/qt5*
%{_libdir}/pkgconfig/klog-qt5.pc

%files gtk3-devel
%{_libdir}/libklog-gtk3.so
%{_includedir}/kiran-log/gtk3*
%{_libdir}/pkgconfig/klog-gtk3.pc

%clean
rm -rf %{buildroot}

%changelog
* Fri Dec 09 2022 liuxinhao <liuxinhao@kylinsec.com.cn> - 2.4.0-3
- KYOS-F: Change the default kylinsec-session log level to INFO

* Fri Oct 28 2022 tangjie02 <tangjie02@kylnsec.com.cn> - 2.4.0-2
- KYOS-B: Fix the Libs field error in pc file

* Mon Sep 26 2022 tangjie02 <tangjie02@kylinsec.com.cn> - 2.4.0-1
- KYOS-F: Add zlog.conf file and dzlog_init_ex function to this project.
